package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssFtp;
import com.schisandra.oss.infra.basic.dao.SchisandraOssFtpDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssFtpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * ftp存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 21:54:20
 */
@Service("SchisandraOssFtpService")
public class SchisandraOssFtpServiceImpl implements SchisandraOssFtpService {

    @Resource
    private SchisandraOssFtpDao schisandraOssFtpDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssFtp queryById(Long id) {
        return this.schisandraOssFtpDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssFtp 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssFtp schisandraOssFtp) {
        return this.schisandraOssFtpDao.insert(schisandraOssFtp,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssFtp 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssFtp schisandraOssFtp) {
        return this.schisandraOssFtpDao.update(schisandraOssFtp,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssFtpDao.deleteById(id) > 0;
    }


}
